Bug 2006884 - CVE-2021-40323 cobbler: Arbitrary File Disclosure/Template Injection via generate_script RPC method [fedora-all]
Summary: CVE-2021-40323 cobbler: Arbitrary File Disclosure/Template Injection via gene...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler
Version: 34
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-40323
TreeView+ depends on / blocked
 
Reported: 2021-09-22 15:28 UTC by Pedro Sampaio
Modified: 2021-10-02 01:27 UTC (History)
7 users (show)

Fixed In Version: cobbler-3.2.2-2.fc35 cobbler-3-820210924130316.9edba152 cobbler-3.2.2-2.fc33 cobbler-3.2.2-2.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 00:19:06 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2021-09-22 15:28:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-09-22 15:28:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2006840,2006884

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-09-24 03:43:17 UTC
FEDORA-2021-ea291a5a8e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ea291a5a8e

Comment 3 Fedora Update System 2021-09-24 03:43:27 UTC
FEDORA-EPEL-MODULAR-2021-6f947fe5b8 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-6f947fe5b8

Comment 4 Fedora Update System 2021-09-24 03:43:36 UTC
FEDORA-2021-f373e37167 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f373e37167

Comment 5 Fedora Update System 2021-09-24 03:43:46 UTC
FEDORA-2021-d2116d0e9f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d2116d0e9f

Comment 6 Fedora Update System 2021-09-24 21:41:40 UTC
FEDORA-2021-4def184821 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4def184821`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4def184821

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-24 21:44:12 UTC
FEDORA-2021-3a640d3d4c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3a640d3d4c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3a640d3d4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-24 21:48:19 UTC
FEDORA-2021-5f1e30aa56 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5f1e30aa56`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f1e30aa56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-24 21:49:58 UTC
FEDORA-EPEL-MODULAR-2021-bec608183e has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-bec608183e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-29 00:19:06 UTC
FEDORA-2021-3a640d3d4c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-10-02 00:18:56 UTC
FEDORA-EPEL-MODULAR-2021-bec608183e has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-10-02 01:10:01 UTC
FEDORA-2021-4def184821 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-10-02 01:27:30 UTC
FEDORA-2021-5f1e30aa56 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.